## net.i2p.router.networkdb.kademlia
Class FloodfillVerifyStoreJob

    java.lang.Object
      net.i2p.router.JobImpl
          net.i2p.router.networkdb.kademlia.FloodfillVerifyStoreJob

All Implemented Interfaces:
  Job

    public class FloodfillVerifyStoreJob

extends JobImpl

send a netDb lookup to a random floodfill peer - if it is found, great, but if they reply back saying they dont know it, queue up a store of the key to a random floodfill peer again (via FloodfillStoreJob)

Constructor Summary
`FloodfillVerifyStoreJob(RouterContext ctx, Hash key, long published, boolean isRouterInfo, Hash sentTo, FloodfillNetworkDatabaseFacade facade)` Delay a few seconds, then start the verify

Method Summary
`String` `getName()` Descriptive name of the task
`void` `runJob()` Query a random floodfill for the leaseset or routerinfo that we just stored to a (hopefully different) floodfill peer.

Methods inherited from class net.i2p.router.JobImpl
`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FloodfillVerifyStoreJob

    public FloodfillVerifyStoreJob(RouterContext ctx,
                                   Hash key,
                                   long published,
                                   boolean isRouterInfo,
                                   Hash sentTo,
                                   FloodfillNetworkDatabaseFacade facade)

  Delay a few seconds, then start the verify

  Parameters:
    `sentTo` - who to give the credit or blame to, can be null

Method Detail

### getName

    public String getName()

  Description copied from interface: `Job`
  Descriptive name of the task

### runJob

    public void runJob()

  Query a random floodfill for the leaseset or routerinfo that we just stored to a (hopefully different) floodfill peer. If it fails (after a timeout period), resend the data. If the queried data is older than what we stored, that counts as a fail.